function tl = HMM2OOM(markovMatrix, oMatrices)
% Transform a (state-emitting) HMM into an OOM
%
% input args:
% markovMatrix:  Markov transition matrix of an HMM. Size dim x dim
% oMatrices: the diagonal matrices containing the HMM emission probs,
% one such matrix per observable. Size is dim x dim x alphabetsize
%
% output args:
% tl: the taulist of the corresponding OOM, contains the operator matrices
% in an array of size dim x dim x alphabetsize
%
% V 1.0, May 2005
% (c) Herbert Jaeger
%
% Copyright and limitation of liability: as specified in the document
% Copyright.txt that comes along with the OOM toolbox package from which 
% this file is taken.

alphabetsize = size(oMatrices,3);
for i = 1:alphabetsize
    tl(:,:,i) = markovMatrix' * oMatrices(:,:,i);
end

