function w0 = compW0(tl)
% computes w0, the invariant vector of mu-matrix of taulist tl
% w0 is computed as the eigenvector to eigenvalue 1 of mu-matrix
% 
% V 1.0, May 2005
% (c) Herbert Jaeger
% Revision 1, July 16, 2007, H.Jaeger (normalized mu to colsums 1)
%
% Copyright and limitation of liability: as specified in the document
% Copyright.txt that comes along with the OOM toolbox package from which 
% this file is taken.


mu = sum(tl,3);
dim = size(mu,2);
muSums = sum(mu);
for c = 1:dim
    mu(:,c) = mu(:,c) / muSums(c);
end

[V,D] = eig(mu);
for i = 1:dim 
    if imag(D(i,i)) == 0 & abs(D(i,i) - 1.0) < 1e-8
        index = i;
    end
end   
w0 = V(:,index) ;
w0 = w0 / sum(w0);
