function p = probSeq(tl, w0, obsSeq)
% Computes the probability p of a sequence obsSeq under a model tl 
% started from state w0. No precautions are made to cope with negative
% probabilities. Should be used only for quick tests on short sequences.
% For computing probabilities of longer sequences in a robust way, use
% compLL_robust.
% 
% Inputs: 
%
% tl: the OOM taulist
% w0: the starting state
% obsSeq: a (row or column) vector whose integer entries code an
% observation  sequence
% 
% Output: p, the probability of the sequence
% 
% Created July 13, 2007, H. Jaeger
% Copyright and limitation of liability: as specified in the document
% Copyright.txt that comes along with the OOM toolbox package from which 
% this file is taken.

w = w0;
for n = 1:length(obsSeq)
    w = tl(:,:,obsSeq(n)) * w;
end
p = sum(w);