function reversedMat = reverseMat(mat, dim)
% reverses a 2-d matrix along dimension dim (values 1 or 2), or
% reverses a row vector (dim must be set to 2), or
% reverses a column vector (dim must be set to 1)
%
% Version 1.0, May 11, 2005
% Copyright Herbert Jaeger
%
% Copyright and limitation of liability: as specified in the document
% Copyright.txt that comes along with the OOM toolbox package from which 
% this file is taken.

reversedMat = mat;
l = size(mat,dim);
if dim == 1
    for n = 1:l
        reversedMat(n,:) = mat(end-n+1,:);
    end
else
    for n = 1:l
        reversedMat(:,n) = mat(:,end-n+1);
    end
end
