function pVec = wordProbs(tl, w0, testLength)
% computes (P(\bar{a}_1) ... P(\bar{a}_\kappa))', 
% where \kappa is alphabetsize^testLength.
%
% Created July 17, 2007, H.Jaeger
%
% Copyright and limitation of liability: as specified in the document
% Copyright.txt that comes along with the OOM toolbox package from which 
% this file is taken.

alphabetsize = size(tl,3);
dim = size(tl,1);
kappa = alphabetsize^testLength;
pVec = zeros(kappa,1);

for i = 1:kappa
    % generate i-th sequence seq in alphabetic enumeration
    seq = zeros(1,testLength);
    j = i-1;
    for k = testLength : - 1 : 1        
        ind =  floor((j)/alphabetsize^(k-1));
        j = j - ind * alphabetsize^(k-1);        
        seq(1,testLength-k+1) = ind + 1;
    end
    w = w0;
    for n = 1:testLength
        w = tl(:,:,seq(n)) * w;
    end
    pVec(i,1) = sum(w);
end


